import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;

import MyFrame.MyActionListener;

public class MyFrame2 extends JFrame
{
    private JButton b1;
    private JButton b2;
    private JLabel label;

    public MyFrame2(String title)
    {
        this.setSize(300, 400);
        this.setVisible(true);
        this.setLocationRelativeTo(null);

        FlowLayout layout = new FlowLayout();
        this.setLayout(layout);

        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        this.b1 = new JButton("Save first half");
        this.b2 = new JButton("Save second half");
        this.label = new JLabel("foo");

        this.add(b1);
        this.add(b2);
        this.add(this.label);
        
        this.b1.addActionListener(new ActionListener(){

            @Override
            public void actionPerformed(ActionEvent e)
            {
                System.out.println("You SAVED THE FIRST HALF");
                b2.setBackground(Color.BLUE);
                label.setText("First half");
            }
            
        });
        
        this.b2.addActionListener(new ActionListener(){

            @Override
            public void actionPerformed(ActionEvent e)
            {
                System.out.println("You saved the second half");
                b2.setBackground(Color.RED);
                label.setText("Second half");
            }
            
        });

        this.pack();
    }

    public static void main(String[] args)
    {
        MyFrame2 frame = new MyFrame2("My Frame");


    }

}
